org.springframework.data.relational.repository.query

## Class SimpleRelationalEntityMetadata<T>

- java.lang.Object
- - org.springframework.data.relational.repository.query.SimpleRelationalEntityMetadata<T>

All Implemented Interfaces:
  RelationalEntityMetadata<T>, EntityMetadata<T>

    public class SimpleRelationalEntityMetadata<T>
    extends Object
    implements RelationalEntityMetadata<T>

Default implementation of `RelationalEntityMetadata`.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`SimpleRelationalEntityMetadata(Class<T> type, RelationalPersistentEntity<?> tableEntity)` Creates a new `SimpleRelationalEntityMetadata` using the given type and `RelationalPersistentEntity` to use for table lookups.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<T>` `getJavaType()`
`RelationalPersistentEntity<?>` `getTableEntity()` Returns the `RelationalPersistentEntity` that supposed to determine the table to be queried.
`SqlIdentifier` `getTableName()` Returns the name of the table the entity shall be persisted to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleRelationalEntityMetadata

    public SimpleRelationalEntityMetadata(Class<T> type,
                                          RelationalPersistentEntity<?> tableEntity)

Creates a new `SimpleRelationalEntityMetadata` using the given type and `RelationalPersistentEntity` to use for table lookups.

Parameters:
  `type` - must not be null.
  `tableEntity` - must not be null.

### Method Detail

#### getJavaType

    public Class<T> getJavaType()

Specified by:
  `getJavaType` in interface `EntityMetadata<T>`

#### getTableName

    public SqlIdentifier getTableName()

Description copied from interface: `RelationalEntityMetadata`
Returns the name of the table the entity shall be persisted to.

Specified by:
  `getTableName` in interface `RelationalEntityMetadata<T>`
Returns:

#### getTableEntity

    public RelationalPersistentEntity<?> getTableEntity()

Description copied from interface: `RelationalEntityMetadata`
Returns the `RelationalPersistentEntity` that supposed to determine the table to be queried.

Specified by:
  `getTableEntity` in interface `RelationalEntityMetadata<T>`
Returns: